com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedScrollListener

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<ScrollListener>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedScrollListener

All Implemented Interfaces:
  ScrollHandler, EventHandler

Enclosing class:
  ListenerWrapper<T>

    public static class ListenerWrapper.WrappedScrollListener
    extends ListenerWrapper<ScrollListener>
    implements ScrollHandler

Wrapper for a `ScrollListener`.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ListenerWrapper.WrappedScrollListener` `add(HasScrollHandlers source, ScrollListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes
`void` `onScroll(ScrollEvent event)` Called when ScrollEvent is fired.
`static void` `remove(Widget eventSource, ScrollListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes

### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`baseRemove, getSource, setSource`

### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

`baseRemove, getListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    @Deprecated
    public static ListenerWrapper.WrappedScrollListener add(HasScrollHandlers source,
                                                                        ScrollListener listener)

Deprecated. will be removed in GWT 2.0 along with the listener classes
Adds the wrapped listener.

Parameters:
  `source` - the event source
  `listener` - the listener
Returns:
  the wrapped listener

#### remove

    @Deprecated
    public static void remove(Widget eventSource,
                                          ScrollListener listener)

Deprecated. will be removed in GWT 2.0 along with the listener classes
Removes the wrapped listener.

Parameters:
  `eventSource` - the event source from which to remove the wrapped listener
  `listener` - the listener to remove

#### onScroll

    public void onScroll(ScrollEvent event)

Description copied from interface: `ScrollHandler`
Called when ScrollEvent is fired.

Specified by:
  `onScroll` in interface `ScrollHandler`
Parameters:
  `event` - the `ScrollEvent` that was fired